﻿using System;
using System.Collections.Generic;

namespace PrinterProblem
{
    public class Calendar
    {
        public DateTime FromDate { get; set; }
        public DateTime ToDate { get; set; }
        public ICollection<Day> Days { get; set; }
    }

    public class Day
    {
        public DateTime Date { get; set; }
        public string DisplayedDate { get; set; }
        public ICollection<CalendarEvent> Events { get; set; }
    }

    public class CalendarEvent
    {
        public int Id { get; set; }
        public bool FullDay { get; set; }
        public string Description { get; set; }
        public DateTime FromDate { get; set; }
        public DateTime ToDate { get; set; }
    }
}
